Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

account_id
string
required

Account ID

Body

application/json
name
string
required

Name of the distribution

Example:

"My Android Distribution"

project_id
string
required

Project id the distribution should be assigned to.

Example:

"abcd1234abcd1234abcd1234"

platforms
string[]

List of platforms the distribution should support. Valid values are:

  • android
  • ios
  • flutter
  • i18next
  • rails
Example:
locale_ids
string[]

List of locale ids that will be part of distribution releases

Example:
format_options
object

Additional formatting and render options. Only enclose_in_cdata is available for platform android.

Example:

"{xml:{enclose_in_cdata:'1'}}"

fallback_locales_enabled
boolean

Use fallback locale if there is no translation in the current locale.

Example:

true

fallback_to_non_regional_locale
boolean

Indicates whether to fallback to non regional locale when locale can not be found

Example:

true

fallback_to_default_locale
boolean

Indicates whether to fallback to projects default locale when locale can not be found

Example:

true

use_last_reviewed_version
boolean

Use last reviewed instead of latest translation in a project

Example:

true

Response

Created

id
string
name
string
project
project_short · object
Example:
platforms
string[]
release_count
integer
created_at
string<date-time>
updated_at
string<date-time>
deleted_at
string<date-time> | null
locales
locale_preview · object[]
releases
release_preview · object[]